import { type SyntheticEvent } from 'react';
import { type CopyTypographyProps } from '../types';
export declare const useLogic: ({ children, copyPosition, copyText, isShowCopyText, showCopyIcon, color, isOverflow, tooltipProps, ...restProps }: CopyTypographyProps) => {
    handleMouseLeave: () => void;
    handleClick: (event: SyntheticEvent<HTMLElement>) => void;
    tooltipTitle: string;
    isIconOnLeft: boolean;
    isIconOnRight: boolean;
    restProps: {
        align?: "inherit" | "center" | "left" | "right" | "justify" | undefined;
        gutterBottom?: boolean | undefined;
        noWrap?: boolean | undefined;
        paragraph?: boolean | undefined;
        variant?: import("../..").TypographyVariant | undefined;
        colorIntensity?: import("../..").Intensity | undefined;
        component?: import("../../Typography/types").ComponentProp | undefined;
        isUpperCase?: boolean | undefined;
        withoutCalt?: boolean | undefined;
        defaultChecked?: boolean | undefined;
        defaultValue?: string | number | readonly string[] | undefined;
        suppressContentEditableWarning?: boolean | undefined;
        suppressHydrationWarning?: boolean | undefined;
        accessKey?: string | undefined;
        autoCapitalize?: (string & {}) | "none" | "off" | "on" | "sentences" | "words" | "characters" | undefined;
        autoFocus?: boolean | undefined;
        className?: string | undefined;
        contentEditable?: "inherit" | (boolean | "true" | "false") | "plaintext-only" | undefined;
        contextMenu?: string | undefined;
        dir?: string | undefined;
        draggable?: (boolean | "true" | "false") | undefined;
        enterKeyHint?: "enter" | "search" | "done" | "go" | "next" | "previous" | "send" | undefined;
        hidden?: boolean | undefined;
        id?: string | undefined;
        lang?: string | undefined;
        nonce?: string | undefined;
        slot?: string | undefined;
        spellCheck?: (boolean | "true" | "false") | undefined;
        style?: import("react").CSSProperties | undefined;
        tabIndex?: number | undefined;
        title?: string | undefined;
        translate?: "yes" | "no" | undefined;
        radioGroup?: string | undefined;
        role?: import("react").AriaRole | undefined;
        about?: string | undefined;
        content?: string | undefined;
        datatype?: string | undefined;
        inlist?: any;
        prefix?: string | undefined;
        property?: string | undefined;
        rel?: string | undefined;
        resource?: string | undefined;
        rev?: string | undefined;
        typeof?: string | undefined;
        vocab?: string | undefined;
        autoCorrect?: string | undefined;
        autoSave?: string | undefined;
        itemProp?: string | undefined;
        itemScope?: boolean | undefined;
        itemType?: string | undefined;
        itemID?: string | undefined;
        itemRef?: string | undefined;
        results?: number | undefined;
        security?: string | undefined;
        unselectable?: "off" | "on" | undefined;
        popover?: "" | "auto" | "manual" | "hint" | undefined;
        popoverTargetAction?: "toggle" | "show" | "hide" | undefined;
        popoverTarget?: string | undefined;
        inert?: boolean | undefined;
        inputMode?: "search" | "text" | "none" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined;
        is?: string | undefined;
        exportparts?: string | undefined;
        part?: string | undefined;
        "aria-activedescendant"?: string | undefined;
        "aria-atomic"?: (boolean | "true" | "false") | undefined;
        "aria-autocomplete"?: "list" | "none" | "inline" | "both" | undefined;
        "aria-braillelabel"?: string | undefined;
        "aria-brailleroledescription"?: string | undefined;
        "aria-busy"?: (boolean | "true" | "false") | undefined;
        "aria-checked"?: boolean | "true" | "false" | "mixed" | undefined;
        "aria-colcount"?: number | undefined;
        "aria-colindex"?: number | undefined;
        "aria-colindextext"?: string | undefined;
        "aria-colspan"?: number | undefined;
        "aria-controls"?: string | undefined;
        "aria-current"?: boolean | "time" | "true" | "false" | "page" | "step" | "location" | "date" | undefined;
        "aria-describedby"?: string | undefined;
        "aria-description"?: string | undefined;
        "aria-details"?: string | undefined;
        "aria-disabled"?: (boolean | "true" | "false") | undefined;
        "aria-dropeffect"?: "link" | "none" | "copy" | "execute" | "move" | "popup" | undefined;
        "aria-errormessage"?: string | undefined;
        "aria-expanded"?: (boolean | "true" | "false") | undefined;
        "aria-flowto"?: string | undefined;
        "aria-grabbed"?: (boolean | "true" | "false") | undefined;
        "aria-haspopup"?: boolean | "dialog" | "menu" | "grid" | "listbox" | "tree" | "true" | "false" | undefined;
        "aria-hidden"?: (boolean | "true" | "false") | undefined;
        "aria-invalid"?: boolean | "true" | "false" | "grammar" | "spelling" | undefined;
        "aria-keyshortcuts"?: string | undefined;
        "aria-label"?: string | undefined;
        "aria-labelledby"?: string | undefined;
        "aria-level"?: number | undefined;
        "aria-live"?: "off" | "assertive" | "polite" | undefined;
        "aria-modal"?: (boolean | "true" | "false") | undefined;
        "aria-multiline"?: (boolean | "true" | "false") | undefined;
        "aria-multiselectable"?: (boolean | "true" | "false") | undefined;
        "aria-orientation"?: "horizontal" | "vertical" | undefined;
        "aria-owns"?: string | undefined;
        "aria-placeholder"?: string | undefined;
        "aria-posinset"?: number | undefined;
        "aria-pressed"?: boolean | "true" | "false" | "mixed" | undefined;
        "aria-readonly"?: (boolean | "true" | "false") | undefined;
        "aria-relevant"?: "text" | "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined;
        "aria-required"?: (boolean | "true" | "false") | undefined;
        "aria-roledescription"?: string | undefined;
        "aria-rowcount"?: number | undefined;
        "aria-rowindex"?: number | undefined;
        "aria-rowindextext"?: string | undefined;
        "aria-rowspan"?: number | undefined;
        "aria-selected"?: (boolean | "true" | "false") | undefined;
        "aria-setsize"?: number | undefined;
        "aria-sort"?: "none" | "ascending" | "descending" | "other" | undefined;
        "aria-valuemax"?: number | undefined;
        "aria-valuemin"?: number | undefined;
        "aria-valuenow"?: number | undefined;
        "aria-valuetext"?: string | undefined;
        dangerouslySetInnerHTML?: {
            __html: string | TrustedHTML;
        } | undefined;
        onCopy?: import("react").ClipboardEventHandler<HTMLParagraphElement> | undefined;
        onCopyCapture?: import("react").ClipboardEventHandler<HTMLParagraphElement> | undefined;
        onCut?: import("react").ClipboardEventHandler<HTMLParagraphElement> | undefined;
        onCutCapture?: import("react").ClipboardEventHandler<HTMLParagraphElement> | undefined;
        onPaste?: import("react").ClipboardEventHandler<HTMLParagraphElement> | undefined;
        onPasteCapture?: import("react").ClipboardEventHandler<HTMLParagraphElement> | undefined;
        onCompositionEnd?: import("react").CompositionEventHandler<HTMLParagraphElement> | undefined;
        onCompositionEndCapture?: import("react").CompositionEventHandler<HTMLParagraphElement> | undefined;
        onCompositionStart?: import("react").CompositionEventHandler<HTMLParagraphElement> | undefined;
        onCompositionStartCapture?: import("react").CompositionEventHandler<HTMLParagraphElement> | undefined;
        onCompositionUpdate?: import("react").CompositionEventHandler<HTMLParagraphElement> | undefined;
        onCompositionUpdateCapture?: import("react").CompositionEventHandler<HTMLParagraphElement> | undefined;
        onFocus?: import("react").FocusEventHandler<HTMLParagraphElement> | undefined;
        onFocusCapture?: import("react").FocusEventHandler<HTMLParagraphElement> | undefined;
        onBlur?: import("react").FocusEventHandler<HTMLParagraphElement> | undefined;
        onBlurCapture?: import("react").FocusEventHandler<HTMLParagraphElement> | undefined;
        onChange?: import("react").ChangeEventHandler<HTMLParagraphElement, Element> | undefined;
        onChangeCapture?: import("react").ChangeEventHandler<HTMLParagraphElement, Element> | undefined;
        onBeforeInput?: import("react").InputEventHandler<HTMLParagraphElement> | undefined;
        onBeforeInputCapture?: import("react").InputEventHandler<HTMLParagraphElement> | undefined;
        onInput?: import("react").InputEventHandler<HTMLParagraphElement> | undefined;
        onInputCapture?: import("react").InputEventHandler<HTMLParagraphElement> | undefined;
        onReset?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onResetCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onSubmit?: import("react").SubmitEventHandler<HTMLParagraphElement> | undefined;
        onSubmitCapture?: import("react").SubmitEventHandler<HTMLParagraphElement> | undefined;
        onInvalid?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onInvalidCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onLoad?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onLoadCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onError?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onErrorCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onKeyDown?: import("react").KeyboardEventHandler<HTMLParagraphElement> | undefined;
        onKeyDownCapture?: import("react").KeyboardEventHandler<HTMLParagraphElement> | undefined;
        onKeyPress?: import("react").KeyboardEventHandler<HTMLParagraphElement> | undefined;
        onKeyPressCapture?: import("react").KeyboardEventHandler<HTMLParagraphElement> | undefined;
        onKeyUp?: import("react").KeyboardEventHandler<HTMLParagraphElement> | undefined;
        onKeyUpCapture?: import("react").KeyboardEventHandler<HTMLParagraphElement> | undefined;
        onAbort?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onAbortCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onCanPlay?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onCanPlayCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onCanPlayThrough?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onCanPlayThroughCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onDurationChange?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onDurationChangeCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onEmptied?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onEmptiedCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onEncrypted?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onEncryptedCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onEnded?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onEndedCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onLoadedData?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onLoadedDataCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onLoadedMetadata?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onLoadedMetadataCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onLoadStart?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onLoadStartCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onPause?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onPauseCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onPlay?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onPlayCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onPlaying?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onPlayingCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onProgress?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onProgressCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onRateChange?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onRateChangeCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onSeeked?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onSeekedCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onSeeking?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onSeekingCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onStalled?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onStalledCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onSuspend?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onSuspendCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onTimeUpdate?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onTimeUpdateCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onVolumeChange?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onVolumeChangeCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onWaiting?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onWaitingCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onAuxClick?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onAuxClickCapture?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onClick?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onClickCapture?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onContextMenu?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onContextMenuCapture?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onDoubleClick?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onDoubleClickCapture?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onDrag?: import("react").DragEventHandler<HTMLParagraphElement> | undefined;
        onDragCapture?: import("react").DragEventHandler<HTMLParagraphElement> | undefined;
        onDragEnd?: import("react").DragEventHandler<HTMLParagraphElement> | undefined;
        onDragEndCapture?: import("react").DragEventHandler<HTMLParagraphElement> | undefined;
        onDragEnter?: import("react").DragEventHandler<HTMLParagraphElement> | undefined;
        onDragEnterCapture?: import("react").DragEventHandler<HTMLParagraphElement> | undefined;
        onDragExit?: import("react").DragEventHandler<HTMLParagraphElement> | undefined;
        onDragExitCapture?: import("react").DragEventHandler<HTMLParagraphElement> | undefined;
        onDragLeave?: import("react").DragEventHandler<HTMLParagraphElement> | undefined;
        onDragLeaveCapture?: import("react").DragEventHandler<HTMLParagraphElement> | undefined;
        onDragOver?: import("react").DragEventHandler<HTMLParagraphElement> | undefined;
        onDragOverCapture?: import("react").DragEventHandler<HTMLParagraphElement> | undefined;
        onDragStart?: import("react").DragEventHandler<HTMLParagraphElement> | undefined;
        onDragStartCapture?: import("react").DragEventHandler<HTMLParagraphElement> | undefined;
        onDrop?: import("react").DragEventHandler<HTMLParagraphElement> | undefined;
        onDropCapture?: import("react").DragEventHandler<HTMLParagraphElement> | undefined;
        onMouseDown?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onMouseDownCapture?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onMouseEnter?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onMouseLeave?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onMouseMove?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onMouseMoveCapture?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onMouseOut?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onMouseOutCapture?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onMouseOver?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onMouseOverCapture?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onMouseUp?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onMouseUpCapture?: import("react").MouseEventHandler<HTMLParagraphElement> | undefined;
        onSelect?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onSelectCapture?: import("react").ReactEventHandler<HTMLParagraphElement> | undefined;
        onTouchCancel?: import("react").TouchEventHandler<HTMLParagraphElement> | undefined;
        onTouchCancelCapture?: import("react").TouchEventHandler<HTMLParagraphElement> | undefined;
        onTouchEnd?: import("react").TouchEventHandler<HTMLParagraphElement> | undefined;
        onTouchEndCapture?: import("react").TouchEventHandler<HTMLParagraphElement> | undefined;
        onTouchMove?: import("react").TouchEventHandler<HTMLParagraphElement> | undefined;
        onTouchMoveCapture?: import("react").TouchEventHandler<HTMLParagraphElement> | undefined;
        onTouchStart?: import("react").TouchEventHandler<HTMLParagraphElement> | undefined;
        onTouchStartCapture?: import("react").TouchEventHandler<HTMLParagraphElement> | undefined;
        onPointerDown?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onPointerDownCapture?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onPointerMove?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onPointerMoveCapture?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onPointerUp?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onPointerUpCapture?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onPointerCancel?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onPointerCancelCapture?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onPointerEnter?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onPointerLeave?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onPointerOver?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onPointerOverCapture?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onPointerOut?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onPointerOutCapture?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onGotPointerCapture?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onGotPointerCaptureCapture?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onLostPointerCapture?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onLostPointerCaptureCapture?: import("react").PointerEventHandler<HTMLParagraphElement> | undefined;
        onScroll?: import("react").UIEventHandler<HTMLParagraphElement> | undefined;
        onScrollCapture?: import("react").UIEventHandler<HTMLParagraphElement> | undefined;
        onScrollEnd?: import("react").UIEventHandler<HTMLParagraphElement> | undefined;
        onScrollEndCapture?: import("react").UIEventHandler<HTMLParagraphElement> | undefined;
        onWheel?: import("react").WheelEventHandler<HTMLParagraphElement> | undefined;
        onWheelCapture?: import("react").WheelEventHandler<HTMLParagraphElement> | undefined;
        onAnimationStart?: import("react").AnimationEventHandler<HTMLParagraphElement> | undefined;
        onAnimationStartCapture?: import("react").AnimationEventHandler<HTMLParagraphElement> | undefined;
        onAnimationEnd?: import("react").AnimationEventHandler<HTMLParagraphElement> | undefined;
        onAnimationEndCapture?: import("react").AnimationEventHandler<HTMLParagraphElement> | undefined;
        onAnimationIteration?: import("react").AnimationEventHandler<HTMLParagraphElement> | undefined;
        onAnimationIterationCapture?: import("react").AnimationEventHandler<HTMLParagraphElement> | undefined;
        onToggle?: import("react").ToggleEventHandler<HTMLParagraphElement> | undefined;
        onBeforeToggle?: import("react").ToggleEventHandler<HTMLParagraphElement> | undefined;
        onTransitionCancel?: import("react").TransitionEventHandler<HTMLParagraphElement> | undefined;
        onTransitionCancelCapture?: import("react").TransitionEventHandler<HTMLParagraphElement> | undefined;
        onTransitionEnd?: import("react").TransitionEventHandler<HTMLParagraphElement> | undefined;
        onTransitionEndCapture?: import("react").TransitionEventHandler<HTMLParagraphElement> | undefined;
        onTransitionRun?: import("react").TransitionEventHandler<HTMLParagraphElement> | undefined;
        onTransitionRunCapture?: import("react").TransitionEventHandler<HTMLParagraphElement> | undefined;
        onTransitionStart?: import("react").TransitionEventHandler<HTMLParagraphElement> | undefined;
        onTransitionStartCapture?: import("react").TransitionEventHandler<HTMLParagraphElement> | undefined;
    };
    copyPosition: "left" | "right";
    color: "text" | "primary" | "secondary" | "success" | "warning" | "error" | "textSecondary" | "grey" | "red" | "green" | "yellow" | undefined;
    showCopyIcon: "none" | "always" | "onHover";
    isOverflow: boolean;
    children: import("react").ReactNode;
    tooltipProps: Omit<{
        components?: {
            Popper?: import("react").ElementType<import("@mui/material").PopperProps, keyof import("react").JSX.IntrinsicElements> | undefined;
            Transition?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
            Tooltip?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
            Arrow?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
        } | undefined;
        classes?: Partial<import("@mui/material").TooltipClasses> | undefined;
        defaultChecked?: boolean | undefined;
        defaultValue?: string | number | readonly string[] | undefined;
        suppressContentEditableWarning?: boolean | undefined;
        suppressHydrationWarning?: boolean | undefined;
        accessKey?: string | undefined;
        autoCapitalize?: (string & {}) | "none" | "off" | "on" | "sentences" | "words" | "characters" | undefined;
        autoFocus?: boolean | undefined;
        className?: string | undefined;
        contentEditable?: "inherit" | (boolean | "true" | "false") | "plaintext-only" | undefined;
        contextMenu?: string | undefined;
        dir?: string | undefined;
        draggable?: (boolean | "true" | "false") | undefined;
        enterKeyHint?: "enter" | "search" | "done" | "go" | "next" | "previous" | "send" | undefined;
        hidden?: boolean | undefined;
        id?: string | undefined;
        lang?: string | undefined;
        nonce?: string | undefined;
        slot?: string | undefined;
        spellCheck?: (boolean | "true" | "false") | undefined;
        style?: import("react").CSSProperties | undefined;
        tabIndex?: number | undefined;
        title: import("react").ReactNode;
        translate?: "yes" | "no" | undefined;
        radioGroup?: string | undefined;
        role?: import("react").AriaRole | undefined;
        about?: string | undefined;
        content?: string | undefined;
        datatype?: string | undefined;
        inlist?: any;
        prefix?: string | undefined;
        property?: string | undefined;
        rel?: string | undefined;
        resource?: string | undefined;
        rev?: string | undefined;
        typeof?: string | undefined;
        vocab?: string | undefined;
        autoCorrect?: string | undefined;
        autoSave?: string | undefined;
        color?: string | undefined;
        itemProp?: string | undefined;
        itemScope?: boolean | undefined;
        itemType?: string | undefined;
        itemID?: string | undefined;
        itemRef?: string | undefined;
        results?: number | undefined;
        security?: string | undefined;
        unselectable?: "off" | "on" | undefined;
        popover?: "" | "auto" | "manual" | "hint" | undefined;
        popoverTargetAction?: "toggle" | "show" | "hide" | undefined;
        popoverTarget?: string | undefined;
        inert?: boolean | undefined;
        inputMode?: "search" | "text" | "none" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined;
        is?: string | undefined;
        exportparts?: string | undefined;
        part?: string | undefined;
        "aria-activedescendant"?: string | undefined;
        "aria-atomic"?: (boolean | "true" | "false") | undefined;
        "aria-autocomplete"?: "list" | "none" | "inline" | "both" | undefined;
        "aria-braillelabel"?: string | undefined;
        "aria-brailleroledescription"?: string | undefined;
        "aria-busy"?: (boolean | "true" | "false") | undefined;
        "aria-checked"?: boolean | "true" | "false" | "mixed" | undefined;
        "aria-colcount"?: number | undefined;
        "aria-colindex"?: number | undefined;
        "aria-colindextext"?: string | undefined;
        "aria-colspan"?: number | undefined;
        "aria-controls"?: string | undefined;
        "aria-current"?: boolean | "time" | "true" | "false" | "page" | "step" | "location" | "date" | undefined;
        "aria-describedby"?: string | undefined;
        "aria-description"?: string | undefined;
        "aria-details"?: string | undefined;
        "aria-disabled"?: (boolean | "true" | "false") | undefined;
        "aria-dropeffect"?: "link" | "none" | "copy" | "execute" | "move" | "popup" | undefined;
        "aria-errormessage"?: string | undefined;
        "aria-expanded"?: (boolean | "true" | "false") | undefined;
        "aria-flowto"?: string | undefined;
        "aria-grabbed"?: (boolean | "true" | "false") | undefined;
        "aria-haspopup"?: boolean | "dialog" | "menu" | "grid" | "listbox" | "tree" | "true" | "false" | undefined;
        "aria-hidden"?: (boolean | "true" | "false") | undefined;
        "aria-invalid"?: boolean | "true" | "false" | "grammar" | "spelling" | undefined;
        "aria-keyshortcuts"?: string | undefined;
        "aria-label"?: string | undefined;
        "aria-labelledby"?: string | undefined;
        "aria-level"?: number | undefined;
        "aria-live"?: "off" | "assertive" | "polite" | undefined;
        "aria-modal"?: (boolean | "true" | "false") | undefined;
        "aria-multiline"?: (boolean | "true" | "false") | undefined;
        "aria-multiselectable"?: (boolean | "true" | "false") | undefined;
        "aria-orientation"?: "horizontal" | "vertical" | undefined;
        "aria-owns"?: string | undefined;
        "aria-placeholder"?: string | undefined;
        "aria-posinset"?: number | undefined;
        "aria-pressed"?: boolean | "true" | "false" | "mixed" | undefined;
        "aria-readonly"?: (boolean | "true" | "false") | undefined;
        "aria-relevant"?: "text" | "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined;
        "aria-required"?: (boolean | "true" | "false") | undefined;
        "aria-roledescription"?: string | undefined;
        "aria-rowcount"?: number | undefined;
        "aria-rowindex"?: number | undefined;
        "aria-rowindextext"?: string | undefined;
        "aria-rowspan"?: number | undefined;
        "aria-selected"?: (boolean | "true" | "false") | undefined;
        "aria-setsize"?: number | undefined;
        "aria-sort"?: "none" | "ascending" | "descending" | "other" | undefined;
        "aria-valuemax"?: number | undefined;
        "aria-valuemin"?: number | undefined;
        "aria-valuenow"?: number | undefined;
        "aria-valuetext"?: string | undefined;
        children: import("react").ReactElement<any, any>;
        dangerouslySetInnerHTML?: {
            __html: string | TrustedHTML;
        } | undefined;
        onCopy?: import("react").ClipboardEventHandler<HTMLDivElement> | undefined;
        onCopyCapture?: import("react").ClipboardEventHandler<HTMLDivElement> | undefined;
        onCut?: import("react").ClipboardEventHandler<HTMLDivElement> | undefined;
        onCutCapture?: import("react").ClipboardEventHandler<HTMLDivElement> | undefined;
        onPaste?: import("react").ClipboardEventHandler<HTMLDivElement> | undefined;
        onPasteCapture?: import("react").ClipboardEventHandler<HTMLDivElement> | undefined;
        onCompositionEnd?: import("react").CompositionEventHandler<HTMLDivElement> | undefined;
        onCompositionEndCapture?: import("react").CompositionEventHandler<HTMLDivElement> | undefined;
        onCompositionStart?: import("react").CompositionEventHandler<HTMLDivElement> | undefined;
        onCompositionStartCapture?: import("react").CompositionEventHandler<HTMLDivElement> | undefined;
        onCompositionUpdate?: import("react").CompositionEventHandler<HTMLDivElement> | undefined;
        onCompositionUpdateCapture?: import("react").CompositionEventHandler<HTMLDivElement> | undefined;
        onFocus?: import("react").FocusEventHandler<HTMLDivElement> | undefined;
        onFocusCapture?: import("react").FocusEventHandler<HTMLDivElement> | undefined;
        onBlur?: import("react").FocusEventHandler<HTMLDivElement> | undefined;
        onBlurCapture?: import("react").FocusEventHandler<HTMLDivElement> | undefined;
        onChange?: import("react").ChangeEventHandler<HTMLDivElement, Element> | undefined;
        onChangeCapture?: import("react").ChangeEventHandler<HTMLDivElement, Element> | undefined;
        onBeforeInput?: import("react").InputEventHandler<HTMLDivElement> | undefined;
        onBeforeInputCapture?: import("react").InputEventHandler<HTMLDivElement> | undefined;
        onInput?: import("react").InputEventHandler<HTMLDivElement> | undefined;
        onInputCapture?: import("react").InputEventHandler<HTMLDivElement> | undefined;
        onReset?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onResetCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onSubmit?: import("react").SubmitEventHandler<HTMLDivElement> | undefined;
        onSubmitCapture?: import("react").SubmitEventHandler<HTMLDivElement> | undefined;
        onInvalid?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onInvalidCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onLoad?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onLoadCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onError?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onErrorCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onKeyDown?: import("react").KeyboardEventHandler<HTMLDivElement> | undefined;
        onKeyDownCapture?: import("react").KeyboardEventHandler<HTMLDivElement> | undefined;
        onKeyPress?: import("react").KeyboardEventHandler<HTMLDivElement> | undefined;
        onKeyPressCapture?: import("react").KeyboardEventHandler<HTMLDivElement> | undefined;
        onKeyUp?: import("react").KeyboardEventHandler<HTMLDivElement> | undefined;
        onKeyUpCapture?: import("react").KeyboardEventHandler<HTMLDivElement> | undefined;
        onAbort?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onAbortCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onCanPlay?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onCanPlayCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onCanPlayThrough?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onCanPlayThroughCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onDurationChange?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onDurationChangeCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onEmptied?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onEmptiedCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onEncrypted?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onEncryptedCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onEnded?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onEndedCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onLoadedData?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onLoadedDataCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onLoadedMetadata?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onLoadedMetadataCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onLoadStart?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onLoadStartCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onPause?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onPauseCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onPlay?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onPlayCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onPlaying?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onPlayingCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onProgress?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onProgressCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onRateChange?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onRateChangeCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onSeeked?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onSeekedCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onSeeking?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onSeekingCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onStalled?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onStalledCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onSuspend?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onSuspendCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onTimeUpdate?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onTimeUpdateCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onVolumeChange?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onVolumeChangeCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onWaiting?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onWaitingCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onAuxClick?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onAuxClickCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onClick?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onClickCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onContextMenu?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onContextMenuCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onDoubleClick?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onDoubleClickCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onDrag?: import("react").DragEventHandler<HTMLDivElement> | undefined;
        onDragCapture?: import("react").DragEventHandler<HTMLDivElement> | undefined;
        onDragEnd?: import("react").DragEventHandler<HTMLDivElement> | undefined;
        onDragEndCapture?: import("react").DragEventHandler<HTMLDivElement> | undefined;
        onDragEnter?: import("react").DragEventHandler<HTMLDivElement> | undefined;
        onDragEnterCapture?: import("react").DragEventHandler<HTMLDivElement> | undefined;
        onDragExit?: import("react").DragEventHandler<HTMLDivElement> | undefined;
        onDragExitCapture?: import("react").DragEventHandler<HTMLDivElement> | undefined;
        onDragLeave?: import("react").DragEventHandler<HTMLDivElement> | undefined;
        onDragLeaveCapture?: import("react").DragEventHandler<HTMLDivElement> | undefined;
        onDragOver?: import("react").DragEventHandler<HTMLDivElement> | undefined;
        onDragOverCapture?: import("react").DragEventHandler<HTMLDivElement> | undefined;
        onDragStart?: import("react").DragEventHandler<HTMLDivElement> | undefined;
        onDragStartCapture?: import("react").DragEventHandler<HTMLDivElement> | undefined;
        onDrop?: import("react").DragEventHandler<HTMLDivElement> | undefined;
        onDropCapture?: import("react").DragEventHandler<HTMLDivElement> | undefined;
        onMouseDown?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onMouseDownCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onMouseEnter?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onMouseLeave?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onMouseMove?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onMouseMoveCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onMouseOut?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onMouseOutCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onMouseOver?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onMouseOverCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onMouseUp?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onMouseUpCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
        onSelect?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onSelectCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
        onTouchCancel?: import("react").TouchEventHandler<HTMLDivElement> | undefined;
        onTouchCancelCapture?: import("react").TouchEventHandler<HTMLDivElement> | undefined;
        onTouchEnd?: import("react").TouchEventHandler<HTMLDivElement> | undefined;
        onTouchEndCapture?: import("react").TouchEventHandler<HTMLDivElement> | undefined;
        onTouchMove?: import("react").TouchEventHandler<HTMLDivElement> | undefined;
        onTouchMoveCapture?: import("react").TouchEventHandler<HTMLDivElement> | undefined;
        onTouchStart?: import("react").TouchEventHandler<HTMLDivElement> | undefined;
        onTouchStartCapture?: import("react").TouchEventHandler<HTMLDivElement> | undefined;
        onPointerDown?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onPointerDownCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onPointerMove?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onPointerMoveCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onPointerUp?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onPointerUpCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onPointerCancel?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onPointerCancelCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onPointerEnter?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onPointerLeave?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onPointerOver?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onPointerOverCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onPointerOut?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onPointerOutCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onGotPointerCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onGotPointerCaptureCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onLostPointerCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onLostPointerCaptureCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
        onScroll?: import("react").UIEventHandler<HTMLDivElement> | undefined;
        onScrollCapture?: import("react").UIEventHandler<HTMLDivElement> | undefined;
        onScrollEnd?: import("react").UIEventHandler<HTMLDivElement> | undefined;
        onScrollEndCapture?: import("react").UIEventHandler<HTMLDivElement> | undefined;
        onWheel?: import("react").WheelEventHandler<HTMLDivElement> | undefined;
        onWheelCapture?: import("react").WheelEventHandler<HTMLDivElement> | undefined;
        onAnimationStart?: import("react").AnimationEventHandler<HTMLDivElement> | undefined;
        onAnimationStartCapture?: import("react").AnimationEventHandler<HTMLDivElement> | undefined;
        onAnimationEnd?: import("react").AnimationEventHandler<HTMLDivElement> | undefined;
        onAnimationEndCapture?: import("react").AnimationEventHandler<HTMLDivElement> | undefined;
        onAnimationIteration?: import("react").AnimationEventHandler<HTMLDivElement> | undefined;
        onAnimationIterationCapture?: import("react").AnimationEventHandler<HTMLDivElement> | undefined;
        onToggle?: import("react").ToggleEventHandler<HTMLDivElement> | undefined;
        onBeforeToggle?: import("react").ToggleEventHandler<HTMLDivElement> | undefined;
        onTransitionCancel?: import("react").TransitionEventHandler<HTMLDivElement> | undefined;
        onTransitionCancelCapture?: import("react").TransitionEventHandler<HTMLDivElement> | undefined;
        onTransitionEnd?: import("react").TransitionEventHandler<HTMLDivElement> | undefined;
        onTransitionEndCapture?: import("react").TransitionEventHandler<HTMLDivElement> | undefined;
        onTransitionRun?: import("react").TransitionEventHandler<HTMLDivElement> | undefined;
        onTransitionRunCapture?: import("react").TransitionEventHandler<HTMLDivElement> | undefined;
        onTransitionStart?: import("react").TransitionEventHandler<HTMLDivElement> | undefined;
        onTransitionStartCapture?: import("react").TransitionEventHandler<HTMLDivElement> | undefined;
        open?: boolean | undefined;
        width?: import("csstype").Property.Width<string | number> | undefined;
        size?: import("../..").TooltipSize | undefined;
        componentsProps?: {
            popper?: (Partial<import("@mui/material").PopperProps> & import("@mui/material").TooltipComponentsPropsOverrides) | undefined;
            transition?: (import("@mui/material/transitions").TransitionProps & import("@mui/material").TooltipComponentsPropsOverrides) | undefined;
            tooltip?: (import("react").HTMLProps<HTMLDivElement> & import("@mui/system").MUIStyledCommonProps<import("@mui/system").Theme> & import("@mui/material").TooltipComponentsPropsOverrides) | undefined;
            arrow?: (import("react").HTMLProps<HTMLSpanElement> & import("@mui/system").MUIStyledCommonProps<import("@mui/system").Theme> & import("@mui/material").TooltipComponentsPropsOverrides) | undefined;
        } | undefined;
        onClose?: ((event: Event | SyntheticEvent<Element, Event>) => void) | undefined;
        slots?: {
            popper?: import("react").ElementType<import("@mui/material").PopperProps, keyof import("react").JSX.IntrinsicElements> | undefined;
            transition?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
            tooltip?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
            arrow?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
        } | undefined;
        slotProps?: {
            popper?: (Partial<import("@mui/material").PopperProps> & import("@mui/material").TooltipComponentsPropsOverrides) | undefined;
            transition?: (import("@mui/material/transitions").TransitionProps & import("@mui/material").TooltipComponentsPropsOverrides) | undefined;
            tooltip?: (import("react").HTMLProps<HTMLDivElement> & import("@mui/system").MUIStyledCommonProps<import("@mui/material").Theme> & import("@mui/material").TooltipComponentsPropsOverrides) | undefined;
            arrow?: (import("react").HTMLProps<HTMLSpanElement> & import("@mui/system").MUIStyledCommonProps<import("@mui/material").Theme> & import("@mui/material").TooltipComponentsPropsOverrides) | undefined;
        } | undefined;
        TransitionComponent?: import("react").JSXElementConstructor<import("@mui/material/transitions").TransitionProps & {
            children: import("react").ReactElement<any, any>;
        }> | undefined;
        TransitionProps?: import("@mui/material/transitions").TransitionProps | undefined;
        arrow?: boolean | undefined;
        describeChild?: boolean | undefined;
        disableFocusListener?: boolean | undefined;
        disableHoverListener?: boolean | undefined;
        disableInteractive?: boolean | undefined;
        disableTouchListener?: boolean | undefined;
        enterDelay?: number | undefined;
        enterNextDelay?: number | undefined;
        enterTouchDelay?: number | undefined;
        followCursor?: boolean | undefined;
        leaveDelay?: number | undefined;
        leaveTouchDelay?: number | undefined;
        onOpen?: ((event: SyntheticEvent<Element, Event>) => void) | undefined;
        placement?: "bottom" | "left" | "right" | "top" | "top-start" | "top-end" | "bottom-start" | "bottom-end" | "right-start" | "right-end" | "left-start" | "left-end" | undefined;
        PopperComponent?: import("react").JSXElementConstructor<import("@mui/material").PopperProps> | undefined;
        PopperProps?: Partial<import("@mui/material").PopperProps> | undefined;
        withoutContainer?: boolean | undefined;
    }, "title" | "children"> | undefined;
};
